#include <stdio.h>
#include <stdlib.h>
#include <service.h>
#include <sys/types.h>
#include <execinfo.h>

void die(const char *message)
{
    fprintf( stderr, "expec terminated due to: %s\n", message);
    void *addresses[10];
    char **strings;
    int i;
    int size;

    size = backtrace(addresses, 10);
    strings = backtrace_symbols(addresses, size);
    fprintf( stderr, "the last %d stack frames are:\n", size);
    for( i = 0; i < size; i++) {
        fprintf(stderr, "%d: %lX\n", i, (unsigned long)addresses[i]);
        fprintf(stderr, "%s\n", strings[i]);
    }
    free(strings);
    exit(1);
}

