#!/bin/sh
###########################################################################
# eeMark                                                                  #
# http://eeclust.de                                                       #
#                                                                         #
# Copyright (c) 2011-2012, ZIH, TU Dresden, Federal Republic of Germany   #
#                                                                         #
# See the file COPYING in the package base directory for details          #
###########################################################################

INCLUDE=/sw/DBConnector/include/
LIB=/sw/DBConnector/lib/

cc -c -shared -fPIC powertracer.c -I${INCLUDE} -I../src -L${LIB} -l dbconnector `pkg-config --cflags --libs glib-2.0` -std=c99 
if [ $? -ne 0 ] ; then
	echo "Compile failed."
	exit 1
fi
ar x ${LIB}/libdbconnector.a
if [ -f libenergyclient.a ] ; then
	rm libenergyclient.a
fi
ar r libenergyclient.a QueryPuffer_1.o PostgresConnector_1.o MetricInterpreter_1.o DBConnector_1.o powertracer.o
rm -rf QueryPuffer_1.o PostgresConnector_1.o MetricInterpreter_1.o DBConnector_1.o powertracer.o SQLiteConnector_1.o
